Skip to main content
POST
Send a task to a realm

Authorizations

Authorization
string
header
required

Realm A2A bearer (mint/rotate via /v1/auth/generate_token|rotate_token with type: a2a and realm_id).

Path Parameters

org
string
required

The organization's slug.

slug
string
required

The realm's slug.

Body

application/json
method
string
required

message/send, message/stream or tasks/get.

Minimum string length: 1
jsonrpc
enum<string>

Always 2.0.

Available options:
2.0
id

Your request id, echoed in the response.

params
object

The method's parameters: message for send and stream, id for tasks/get.

Response

A JSON-RPC response { jsonrpc, id, result } whose result is the task (for message/stream, a text/event-stream of such messages).

ok
enum<boolean>
required

Always true on success.

Available options:
true
jsonrpc
enum<string>
Available options:
2.0
id
any

The request's id.

result
object